Subject: Re: [PATCH v5 0/6] fast-export, fast-import: add support for signed-commits

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Feb 2025 08:56:38 -0800

Elijah Newren <[email-masked]> writes:

>> This is also exactly the usecase we have been reviving this effort for
>> :) We recently hit such a case where a customer was basically unable to
>> use git-filter-repo(1) due to commit signatures, so we wanted to help
>> out and get this patch series landed so that the issue can ultimately be
>> addressed in git-filter-repo(1).
>
> I'm confused; this patch series doesn't implement the option Junio and
> I were talking about.  It only allows existing signatures to be
> carried as-is, as opposed to resigning all the commits with the
> current user's signature.

I read the "can ultimately be" as "this series lays the groundwork
by upstreaming what the earlier effort started and stops there. a
future follow-up work will build on this to add more".